# ArgusSamples::PreviewConsumerThread Class Reference

Inheritance diagram for ArgusSamples::PreviewConsumerThread:

List of all members.

## Public Member Functions

| PreviewConsumerThread (OutputStream *stream, NvEglRenderer *renderer)
| ~PreviewConsumerThread ()

## Private Member Functions

bool | threadInitialize ()
bool | threadShutdown ()
bool | processV4L2Fd (int32_t fd, uint64_t frameNumber)

## Private Attributes

NvEglRenderer * | m_renderer

## Detailed Description

Definition at line 175 of file main.cpp.

## Constructor & Destructor Documentation

ArgusSamples::PreviewConsumerThread::PreviewConsumerThread | ( | OutputStream * | stream,
|  | NvEglRenderer * | renderer |
| ) |  |  |

Definition at line 189 of file main.cpp.

ArgusSamples::PreviewConsumerThread::~PreviewConsumerThread | ( |  | ) |

Definition at line 196 of file main.cpp.

## Member Function Documentation

bool ArgusSamples::PreviewConsumerThread::processV4L2Fd | ( | int32_t | fd,
|  | uint64_t | frameNumber |
| ) |  |  | `[private, virtual]`

Implements ArgusSamples::ConsumerThread.

Definition at line 219 of file main.cpp.

bool ArgusSamples::PreviewConsumerThread::threadInitialize | ( |  | ) | `[private, virtual]`

Reimplemented from ArgusSamples::ConsumerThread.

Definition at line 200 of file main.cpp.

bool ArgusSamples::PreviewConsumerThread::threadShutdown | ( |  | ) | `[private, virtual]`

Reimplemented from ArgusSamples::ConsumerThread.

Definition at line 211 of file main.cpp.

## Member Data Documentation

NvEglRenderer* ArgusSamples::PreviewConsumerThread::m_renderer `[private]`

Definition at line 186 of file main.cpp.

The documentation for this class was generated from the following file:

- samples/09_camera_jpeg_capture/main.cpp